Name:		sugar-paint-activity
Version:	70
Release:	%mkrel 3
Summary:	Paint activity for Sugar
License:	GPLv2
Group:		Graphical desktop/Other
Url:		https://wiki.sugarlabs.org/go/Activities/Paint
Source:		https://download.sugarlabs.org/sources/honey/Paint/Paint-%{version}.tar.bz2
Patch0:		https://src.fedoraproject.org/rpms/sugar-paint/raw/master/f/sugar-paint-Fedora.patch
BuildRequires:	gettext
BuildRequires:	pkgconfig(python3)
BuildRequires:	sugar-toolkit-gtk3
Requires:	sugar-toolkit-gtk3

%description
Paint will provide a canvas for an individual or a group of children
to express themselves creatively through drawing.

%prep
%setup -q -n Paint-%{version}
%patch0 -p1

rm -fr fill/linux* fill/arm*

%build
%make_build -C fill LD="%__cc"
%{__python3} setup.py build

%install
%{__python3} setup.py install --prefix=%{buildroot}%{_prefix}

# fix .desktop file
sed -i -e 's!%{buildroot}!!g' %{buildroot}%{_datadir}/applications/*.desktop

# drop unneeded files
rm -rf %{buildroot}%{_datadir}/sugar/activities/*/setup.py

%find_lang org.laptop.Oficina

%files -f org.laptop.Oficina.lang
%doc NEWS
%license COPYING
%{_datadir}/applications/org.laptop.Oficina.activity.desktop
%{_datadir}/sugar/activities/*


%changelog
* Sat Dec 03 2022 umeabot <umeabot> 70-3.mga9
+ Revision: 1915518
- Mageia 9 Mass Rebuild

* Wed Nov 25 2020 wally <wally> 70-2.mga8
+ Revision: 1649274
- drop buildroot definition from .desktop files
- drop unneeded files
- revert r1579963

* Wed Apr 01 2020 zezinho <zezinho> 70-1.mga8
+ Revision: 1562975
- new version 70
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Wed Mar 13 2019 wally <wally> 68-1.mga7
+ Revision: 1375584
- new version 68

* Sun Sep 23 2018 umeabot <umeabot> 63-7.mga7
+ Revision: 1301231
- Mageia 7 Mass Rebuild

* Wed Jun 07 2017 akien <akien> 63-6.mga6
+ Revision: 1107208
- Add desktop file

* Wed Feb 17 2016 umeabot <umeabot> 63-5.mga6
+ Revision: 962966
- Mageia 6 Mass Rebuild

* Wed Oct 28 2015 daviddavid <daviddavid> 63-4.mga6
+ Revision: 895963
- do not strip library to fix empty debuginfo

* Wed Oct 15 2014 umeabot <umeabot> 63-3.mga5
+ Revision: 745166
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 63-2.mga5
+ Revision: 689595
- Mageia 5 Mass Rebuild
+ ovitters <ovitters>
- add gobject-introspection BR for typelib auto BR

* Wed May 28 2014 zezinho <zezinho> 63-1.mga5
+ Revision: 627358
- new version

* Sat Nov 02 2013 fwang <fwang> 52-6.mga4
+ Revision: 549012
- requires python-gi

* Fri Oct 18 2013 umeabot <umeabot> 52-5.mga4
+ Revision: 519326
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 52-4.mga3
+ Revision: 383671
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 07 2012 fwang <fwang> 52-3.mga3
+ Revision: 327740
- use gcc as linker
- use ldflags

* Fri Dec 07 2012 fwang <fwang> 52-2.mga3
+ Revision: 327735
- rebuild .so files

* Thu Dec 06 2012 zezinho <zezinho> 52-1.mga3
+ Revision: 327566
- imported package sugar-paint-activity

